# CreateDocumentParams class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

CreateDocumentParams({List<String>? imageFileUris, int? documentImageSizeLimit, List<ParametricFilter>? filters, bool? documentDetection})

## Properties

documentDetection ↔ bool?
  Recognizes documents on created document. Default is true.
  getter/setter pair
documentImageSizeLimit ↔ int?
  The maximum size of the document image. Default is 0, no limit.
  getter/setter pair
filters ↔ List<ParametricFilter>?
  The list of filters applied to the page.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
imageFileUris ↔ List<String>?
  Image URIs that will be used to create the document. If empty or undefined, empty document will be created.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited